Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network174.136.0.0/13
Usable hosts524,286
Subnet mask255.248.0.0
Addresses524,288
Network address
174.136.0.0
Broadcast address
174.143.255.255
First usable
174.136.0.1
Last usable
174.143.255.254
Usable hosts
524,286 (524,288 less the network and broadcast addresses)
Subnet mask
255.248.0.0
Wildcard mask
0.7.255.255 (Cisco ACLs, OSPF)
Prefix length
/13
Type
Public public
Old class
B (default /16)
As numbers
Hex AE880000 · Integer 2928148480 to 2928672767
Reverse DNS zones
136.174.in-addr.arpa
137.174.in-addr.arpa
138.174.in-addr.arpa
139.174.in-addr.arpa
140.174.in-addr.arpa
141.174.in-addr.arpa
142.174.in-addr.arpa
143.174.in-addr.arpa
/13 is not on a 8-bit boundary, so it takes 8 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10101110.10001000.00000000.00000000174.136.0.0
Subnet mask11111111.11111000.00000000.00000000255.248.0.0
Network10101110.10001000.00000000.00000000174.136.0.0
Broadcast10101110.10001111.11111111.11111111174.143.255.255
Split into smaller subnets/20

174.136.0.0/13 makes 128 subnets of /20.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1174.136.0.0/20174.136.0.1 to 174.136.15.254174.136.15.2554,094
2174.136.16.0/20174.136.16.1 to 174.136.31.254174.136.31.2554,094
3174.136.32.0/20174.136.32.1 to 174.136.47.254174.136.47.2554,094
4174.136.48.0/20174.136.48.1 to 174.136.63.254174.136.63.2554,094
5174.136.64.0/20174.136.64.1 to 174.136.79.254174.136.79.2554,094
6174.136.80.0/20174.136.80.1 to 174.136.95.254174.136.95.2554,094
7174.136.96.0/20174.136.96.1 to 174.136.111.254174.136.111.2554,094
8174.136.112.0/20174.136.112.1 to 174.136.127.254174.136.127.2554,094
9174.136.128.0/20174.136.128.1 to 174.136.143.254174.136.143.2554,094
10174.136.144.0/20174.136.144.1 to 174.136.159.254174.136.159.2554,094
11174.136.160.0/20174.136.160.1 to 174.136.175.254174.136.175.2554,094
12174.136.176.0/20174.136.176.1 to 174.136.191.254174.136.191.2554,094
13174.136.192.0/20174.136.192.1 to 174.136.207.254174.136.207.2554,094
14174.136.208.0/20174.136.208.1 to 174.136.223.254174.136.223.2554,094
15174.136.224.0/20174.136.224.1 to 174.136.239.254174.136.239.2554,094
16174.136.240.0/20174.136.240.1 to 174.136.255.254174.136.255.2554,094
17174.137.0.0/20174.137.0.1 to 174.137.15.254174.137.15.2554,094
18174.137.16.0/20174.137.16.1 to 174.137.31.254174.137.31.2554,094
19174.137.32.0/20174.137.32.1 to 174.137.47.254174.137.47.2554,094
20174.137.48.0/20174.137.48.1 to 174.137.63.254174.137.63.2554,094
21174.137.64.0/20174.137.64.1 to 174.137.79.254174.137.79.2554,094
22174.137.80.0/20174.137.80.1 to 174.137.95.254174.137.95.2554,094
23174.137.96.0/20174.137.96.1 to 174.137.111.254174.137.111.2554,094
24174.137.112.0/20174.137.112.1 to 174.137.127.254174.137.127.2554,094
25174.137.128.0/20174.137.128.1 to 174.137.143.254174.137.143.2554,094
26174.137.144.0/20174.137.144.1 to 174.137.159.254174.137.159.2554,094
27174.137.160.0/20174.137.160.1 to 174.137.175.254174.137.175.2554,094
28174.137.176.0/20174.137.176.1 to 174.137.191.254174.137.191.2554,094
29174.137.192.0/20174.137.192.1 to 174.137.207.254174.137.207.2554,094
30174.137.208.0/20174.137.208.1 to 174.137.223.254174.137.223.2554,094
31174.137.224.0/20174.137.224.1 to 174.137.239.254174.137.239.2554,094
32174.137.240.0/20174.137.240.1 to 174.137.255.254174.137.255.2554,094
33174.138.0.0/20174.138.0.1 to 174.138.15.254174.138.15.2554,094
34174.138.16.0/20174.138.16.1 to 174.138.31.254174.138.31.2554,094
35174.138.32.0/20174.138.32.1 to 174.138.47.254174.138.47.2554,094
36174.138.48.0/20174.138.48.1 to 174.138.63.254174.138.63.2554,094
37174.138.64.0/20174.138.64.1 to 174.138.79.254174.138.79.2554,094
38174.138.80.0/20174.138.80.1 to 174.138.95.254174.138.95.2554,094
39174.138.96.0/20174.138.96.1 to 174.138.111.254174.138.111.2554,094
40174.138.112.0/20174.138.112.1 to 174.138.127.254174.138.127.2554,094
41174.138.128.0/20174.138.128.1 to 174.138.143.254174.138.143.2554,094
42174.138.144.0/20174.138.144.1 to 174.138.159.254174.138.159.2554,094
43174.138.160.0/20174.138.160.1 to 174.138.175.254174.138.175.2554,094
44174.138.176.0/20174.138.176.1 to 174.138.191.254174.138.191.2554,094
45174.138.192.0/20174.138.192.1 to 174.138.207.254174.138.207.2554,094
46174.138.208.0/20174.138.208.1 to 174.138.223.254174.138.223.2554,094
47174.138.224.0/20174.138.224.1 to 174.138.239.254174.138.239.2554,094
48174.138.240.0/20174.138.240.1 to 174.138.255.254174.138.255.2554,094
49174.139.0.0/20174.139.0.1 to 174.139.15.254174.139.15.2554,094
50174.139.16.0/20174.139.16.1 to 174.139.31.254174.139.31.2554,094
51174.139.32.0/20174.139.32.1 to 174.139.47.254174.139.47.2554,094
52174.139.48.0/20174.139.48.1 to 174.139.63.254174.139.63.2554,094
53174.139.64.0/20174.139.64.1 to 174.139.79.254174.139.79.2554,094
54174.139.80.0/20174.139.80.1 to 174.139.95.254174.139.95.2554,094
55174.139.96.0/20174.139.96.1 to 174.139.111.254174.139.111.2554,094
56174.139.112.0/20174.139.112.1 to 174.139.127.254174.139.127.2554,094
57174.139.128.0/20174.139.128.1 to 174.139.143.254174.139.143.2554,094
58174.139.144.0/20174.139.144.1 to 174.139.159.254174.139.159.2554,094
59174.139.160.0/20174.139.160.1 to 174.139.175.254174.139.175.2554,094
60174.139.176.0/20174.139.176.1 to 174.139.191.254174.139.191.2554,094
61174.139.192.0/20174.139.192.1 to 174.139.207.254174.139.207.2554,094
62174.139.208.0/20174.139.208.1 to 174.139.223.254174.139.223.2554,094
63174.139.224.0/20174.139.224.1 to 174.139.239.254174.139.239.2554,094
64174.139.240.0/20174.139.240.1 to 174.139.255.254174.139.255.2554,094
65174.140.0.0/20174.140.0.1 to 174.140.15.254174.140.15.2554,094
66174.140.16.0/20174.140.16.1 to 174.140.31.254174.140.31.2554,094
67174.140.32.0/20174.140.32.1 to 174.140.47.254174.140.47.2554,094
68174.140.48.0/20174.140.48.1 to 174.140.63.254174.140.63.2554,094
69174.140.64.0/20174.140.64.1 to 174.140.79.254174.140.79.2554,094
70174.140.80.0/20174.140.80.1 to 174.140.95.254174.140.95.2554,094
71174.140.96.0/20174.140.96.1 to 174.140.111.254174.140.111.2554,094
72174.140.112.0/20174.140.112.1 to 174.140.127.254174.140.127.2554,094
73174.140.128.0/20174.140.128.1 to 174.140.143.254174.140.143.2554,094
74174.140.144.0/20174.140.144.1 to 174.140.159.254174.140.159.2554,094
75174.140.160.0/20174.140.160.1 to 174.140.175.254174.140.175.2554,094
76174.140.176.0/20174.140.176.1 to 174.140.191.254174.140.191.2554,094
77174.140.192.0/20174.140.192.1 to 174.140.207.254174.140.207.2554,094
78174.140.208.0/20174.140.208.1 to 174.140.223.254174.140.223.2554,094
79174.140.224.0/20174.140.224.1 to 174.140.239.254174.140.239.2554,094
80174.140.240.0/20174.140.240.1 to 174.140.255.254174.140.255.2554,094
81174.141.0.0/20174.141.0.1 to 174.141.15.254174.141.15.2554,094
82174.141.16.0/20174.141.16.1 to 174.141.31.254174.141.31.2554,094
83174.141.32.0/20174.141.32.1 to 174.141.47.254174.141.47.2554,094
84174.141.48.0/20174.141.48.1 to 174.141.63.254174.141.63.2554,094
85174.141.64.0/20174.141.64.1 to 174.141.79.254174.141.79.2554,094
86174.141.80.0/20174.141.80.1 to 174.141.95.254174.141.95.2554,094
87174.141.96.0/20174.141.96.1 to 174.141.111.254174.141.111.2554,094
88174.141.112.0/20174.141.112.1 to 174.141.127.254174.141.127.2554,094
89174.141.128.0/20174.141.128.1 to 174.141.143.254174.141.143.2554,094
90174.141.144.0/20174.141.144.1 to 174.141.159.254174.141.159.2554,094
91174.141.160.0/20174.141.160.1 to 174.141.175.254174.141.175.2554,094
92174.141.176.0/20174.141.176.1 to 174.141.191.254174.141.191.2554,094
93174.141.192.0/20174.141.192.1 to 174.141.207.254174.141.207.2554,094
94174.141.208.0/20174.141.208.1 to 174.141.223.254174.141.223.2554,094
95174.141.224.0/20174.141.224.1 to 174.141.239.254174.141.239.2554,094
96174.141.240.0/20174.141.240.1 to 174.141.255.254174.141.255.2554,094
97174.142.0.0/20174.142.0.1 to 174.142.15.254174.142.15.2554,094
98174.142.16.0/20174.142.16.1 to 174.142.31.254174.142.31.2554,094
99174.142.32.0/20174.142.32.1 to 174.142.47.254174.142.47.2554,094
100174.142.48.0/20174.142.48.1 to 174.142.63.254174.142.63.2554,094
101174.142.64.0/20174.142.64.1 to 174.142.79.254174.142.79.2554,094
102174.142.80.0/20174.142.80.1 to 174.142.95.254174.142.95.2554,094
103174.142.96.0/20174.142.96.1 to 174.142.111.254174.142.111.2554,094
104174.142.112.0/20174.142.112.1 to 174.142.127.254174.142.127.2554,094
105174.142.128.0/20174.142.128.1 to 174.142.143.254174.142.143.2554,094
106174.142.144.0/20174.142.144.1 to 174.142.159.254174.142.159.2554,094
107174.142.160.0/20174.142.160.1 to 174.142.175.254174.142.175.2554,094
108174.142.176.0/20174.142.176.1 to 174.142.191.254174.142.191.2554,094
109174.142.192.0/20174.142.192.1 to 174.142.207.254174.142.207.2554,094
110174.142.208.0/20174.142.208.1 to 174.142.223.254174.142.223.2554,094
111174.142.224.0/20174.142.224.1 to 174.142.239.254174.142.239.2554,094
112174.142.240.0/20174.142.240.1 to 174.142.255.254174.142.255.2554,094
113174.143.0.0/20174.143.0.1 to 174.143.15.254174.143.15.2554,094
114174.143.16.0/20174.143.16.1 to 174.143.31.254174.143.31.2554,094
115174.143.32.0/20174.143.32.1 to 174.143.47.254174.143.47.2554,094
116174.143.48.0/20174.143.48.1 to 174.143.63.254174.143.63.2554,094
117174.143.64.0/20174.143.64.1 to 174.143.79.254174.143.79.2554,094
118174.143.80.0/20174.143.80.1 to 174.143.95.254174.143.95.2554,094
119174.143.96.0/20174.143.96.1 to 174.143.111.254174.143.111.2554,094
120174.143.112.0/20174.143.112.1 to 174.143.127.254174.143.127.2554,094
121174.143.128.0/20174.143.128.1 to 174.143.143.254174.143.143.2554,094
122174.143.144.0/20174.143.144.1 to 174.143.159.254174.143.159.2554,094
123174.143.160.0/20174.143.160.1 to 174.143.175.254174.143.175.2554,094
124174.143.176.0/20174.143.176.1 to 174.143.191.254174.143.191.2554,094
125174.143.192.0/20174.143.192.1 to 174.143.207.254174.143.207.2554,094
126174.143.208.0/20174.143.208.1 to 174.143.223.254174.143.223.2554,094
127174.143.224.0/20174.143.224.1 to 174.143.239.254174.143.239.2554,094
128174.143.240.0/20174.143.240.1 to 174.143.255.254174.143.255.2554,094

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses